import { AdminVendorService } from "./vendor.service";
import { CreateVendorDto, UpdateUserStatusDto, UpdateVendorDto } from "./vendor.dto";
import { FirebaseService } from "src/appapi/fcm/firebase.service";
import { UserService } from "src/appapi/user/user.services";
export declare class AdminVendorController {
    private readonly adminVendorService;
    private readonly firebaseService;
    private readonly userService;
    private readonly logger;
    constructor(adminVendorService: AdminVendorService, firebaseService: FirebaseService, userService: UserService);
    create(CreateVendorDto: CreateVendorDto): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/vendor/user.entity").User[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/vendor/user.entity").User;
    }>;
    update(id: string, UpdateVendorDto: UpdateVendorDto): Promise<{
        status: boolean;
        message: string;
    }>;
    updateUserStatus(id: number, body: UpdateUserStatusDto): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
    getDashboard(vendorId: number): Promise<{
        status: boolean;
        message: string;
        data: any;
    }>;
}
